Tp::BaseChannelRoomInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelRoomInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Room2. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Member Functions
virtual | ~BaseChannelRoomInterface ()
QVariantMap | immutableProperties () const
QString | roomName () const
QString | server () const
QString | creator () const
uint | creatorHandle () const
QDateTime | creationTimestamp () const
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelRoomInterfacePtr | create (const QString &roomName, const QString &server, const QString &creator, uint creatorHandle, const QDateTime &creationTimestamp)
template<typename BaseChannelRoomInterfaceSubclass >
static SharedPtr < BaseChannelRoomInterfaceSubclass > | create (const QString &roomName, const QString &server, const QString &creator, uint creatorHandle, const QDateTime &creationTimestamp)

## Protected Member Functions
| BaseChannelRoomInterface (const QString &roomName, const QString &server, const QString &creator, uint creatorHandle, const QDateTime &creationTimestamp)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Room2.

## Constructor & Destructor Documentation

Tp::BaseChannelRoomInterface::~BaseChannelRoomInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannelRoomInterface::BaseChannelRoomInterface | ( | const QString & | roomName,
|  | const QString & | server,
|  | const QString & | creator,
|  | uint | creatorHandle,
|  | const QDateTime & | creationTimestamp
| ) |  |
| protected

Class constructor.

## Member Function Documentation

static BaseChannelRoomInterfacePtr Tp::BaseChannelRoomInterface::create | ( | const QString & | roomName,
|  | const QString & | server,
|  | const QString & | creator,
|  | uint | creatorHandle,
|  | const QDateTime & | creationTimestamp
| ) |  |
| inlinestatic

template<typename BaseChannelRoomInterfaceSubclass >

static SharedPtr<BaseChannelRoomInterfaceSubclass> Tp::BaseChannelRoomInterface::create | ( | const QString & | roomName,
|  | const QString & | server,
|  | const QString & | creator,
|  | uint | creatorHandle,
|  | const QDateTime & | creationTimestamp
| ) |  |
| inlinestatic

QVariantMap Tp::BaseChannelRoomInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

QString Tp::BaseChannelRoomInterface::roomName | ( |  | ) | const

QString Tp::BaseChannelRoomInterface::server | ( |  | ) | const

QString Tp::BaseChannelRoomInterface::creator | ( |  | ) | const

uint Tp::BaseChannelRoomInterface::creatorHandle | ( |  | ) | const

QDateTime Tp::BaseChannelRoomInterface::creationTimestamp | ( |  | ) | const